---
数据类型:    
- 图片
应用场景: 
- 计算机视觉   
任务类型: 
- 目标检测  
- 语义分割
标注类型:    
- 2D 矩形框
语言:        
- 英文
数据大小:    
- 100K<=n<10M
数据来源:     
- 学术公开
标注来源:    
- 学术公开
---





# 数据概述

COCO数据集的全称是Microsoft Common Objects in Context，是一个评估计算机视觉模型性能的“黄金”标准基准数据集，旨在推动目标检测、实例分割、看图说话和人物关键点方面的研究。COCO数据集中的图像收集于复杂的日常生活场景，与PASCAL、ImageNet和SUN相比，其统计分析做得更为详尽。


- 目标分割（Object segmentation）

- 基于上下文的识别（Recognition in context）

- 超像素分割（Superpixel stuff segmentation）

- 33万张图像 (>20万标注)

- 150万个目标实例

- 80个对象类别

- 91种物品类别

- 每张图片5条字幕

- 25万张带有关键点的人像



# 数据标注

COCO 有几种标注类型：用于对象检测、 关键点检测、内容分割、 全景分割等等。标注使用JSON存储。所有标注共享以下相同的基本数据结构：

```
{
"info" : info,
"images" : [image],
"annotations" : [annotation],
"licenses" : [license],
}

info{
"year" : int,
"version" : str,
"description" : str,
"contributor" : str,
"url" : str,
"date_created" : datetime,
}

image{
"id" : int,
"width" : int,
"height" : int,
"file_name" : str,
"license" : int,
"flickr_url" : str,
"coco_url" : str,
"date_captured" : datetime,
}

license{
"id" : int,
"name" : str,
"url" : str,
}
```

# CLI 使用

Graviton 是 SenseCore 数据管理平台的 CLI 工具，尽可能保留用户使用 Git 的习惯，对 AI 数据进行版本的管理，支持多人进行分支协同。

如未安装 Graviton 的 CLI 工具，可按照如下命令进行安装

```
curl --proto '=https' --tlsv1.2 -sSf https://aids-download.aoss.cn-sh-01.sensecoreapi-oss.cn/aidmp/release/install.sh | sh && export PATH=~/.grav/bin:$PATH
```

系统配置用户名和 AKSK， 使用 config 命令 ，其中获取 AccessKey 请前往:  https://console.sensecore.cn/iam/access-key

```
grav config user.name grav --global
grav config AccessKeyID <AccessKeyID>
```

clone COCO 版本库：

```
grav clone https://console.sensecore.cn/aidmp/yanjiuyuan/cn-sh-01/repos/COCO.grav
```

对版本库的数据做了修改后，可以在本地随时记录版本的更改信息：

```
grav add .
grav commit -m "commit message"
```


可以将改动推送到远端，让远端和本地保持一致：

```
grav push master
```

其他 Graviton CLI 的使用，可以参照操作手册：https://console.sensecore.cn/help/docs/data-service/aidmp/#命令行工具

或者使用 grav help 命令查看。



# 数据来源

官网：https://cocodataset.org/#home

发布时间：2014

许可证：[CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)

版权所有者：微软



# 相关论文
https://arxiv.org/pdf/1405.0312v3.pdf



# 引文说明

请在引用数据集时，使用以下引文

```
@article{lin2014microsoft,
        title={Microsoft Coco: Common Objects In Context},
        author={Lin, Tsung-Yi and Maire, Michael and Belongie, Serge and Hays, James and Perona, Pietro and Ramanan, Deva and Dollár, Piotr and Zitnick, Lawrence C.},
        journal={COMPUTER VISION - ECCV 2014, PT V},---
数据类型:    
- 图片
应用场景: 
- 计算机视觉   
任务类型: 
- 目标检测  
- 语义分割
标注类型:    
- 2D 矩形框
语言:        
- 英文
数据大小:    
- 100K<=n<10M
数据来源:     
- 学术公开
标注来源:    
- 学术公开
---





# 数据概述

COCO数据集的全称是Microsoft Common Objects in Context，是一个评估计算机视觉模型性能的“黄金”标准基准数据集，旨在推动目标检测、实例分割、看图说话和人物关键点方面的研究。COCO数据集中的图像收集于复杂的日常生活场景，与PASCAL、ImageNet和SUN相比，其统计分析做得更为详尽。


- 目标分割（Object segmentation）

- 基于上下文的识别（Recognition in context）

- 超像素分割（Superpixel stuff segmentation）

- 33万张图像 (>20万标注)

- 150万个目标实例

- 80个对象类别

- 91种物品类别

- 每张图片5条字幕

- 25万张带有关键点的人像



# 数据标注

COCO 有几种标注类型：用于对象检测、 关键点检测、内容分割、 全景分割等等。标注使用JSON存储。所有标注共享以下相同的基本数据结构：

```
{
"info" : info,
"images" : [image],
"annotations" : [annotation],
"licenses" : [license],
}

info{
"year" : int,
"version" : str,
"description" : str,
"contributor" : str,
"url" : str,
"date_created" : datetime,
}

image{
"id" : int,
"width" : int,
"height" : int,
"file_name" : str,
"license" : int,
"flickr_url" : str,
"coco_url" : str,
"date_captured" : datetime,
}

license{
"id" : int,
"name" : str,
"url" : str,
}
```

# CLI 使用

Graviton 是 SenseCore 数据管理平台的 CLI 工具，尽可能保留用户使用 Git 的习惯，对 AI 数据进行版本的管理，支持多人进行分支协同。

如未安装 Graviton 的 CLI 工具，可按照如下命令进行安装

```
curl --proto '=https' --tlsv1.2 -sSf https://aids-download.aoss.cn-sh-01.sensecoreapi-oss.cn/aidmp/release/install.sh | sh && export PATH=~/.grav/bin:$PATH
```

系统配置用户名和 AKSK， 使用 config 命令 ，其中获取 AccessKey 请前往:  https://console.sensecore.cn/iam/access-key

```
grav config user.name grav --global
grav config AccessKeyID <AccessKeyID>
```

clone COCO 版本库：

```
grav clone https://console.sensecore.cn/aidmp/yanjiuyuan/cn-sh-01/repos/COCO.grav
```

对版本库的数据做了修改后，可以在本地随时记录版本的更改信息：

```
grav add .
grav commit -m "commit message"
```


可以将改动推送到远端，让远端和本地保持一致：

```
grav push master
```

其他 Graviton CLI 的使用，可以参照操作手册：https://console.sensecore.cn/help/docs/data-service/aidmp/#命令行工具

或者使用 grav help 命令查看。



# 数据来源

官网：https://cocodataset.org/#home

发布时间：2014

许可证：[CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)

版权所有者：微软



# 相关论文
https://arxiv.org/pdf/1405.0312v3.pdf



# 引文说明

请在引用数据集时，使用以下引文

```
@article{lin2014microsoft,
        title={Microsoft Coco: Common Objects In Context},
        author={Lin, Tsung-Yi and Maire, Michael and Belongie, Serge and Hays, James and Perona, Pietro and Ramanan, Deva and Dollár, Piotr and Zitnick, Lawrence C.},
        journal={COMPUTER VISION - ECCV 2014, PT V},
        pages={740--755},
        year={2014}
}
```


# 版权声明
图片&标注所有权：平台本身不具有图片和标注信息的所有权，媒体文件和标注信息使用时请遵循其官网约定。

不提供担保：用户使用本数据集时需要承担全部责任，本平台不给予您意图使用数据集所需要的所有许可，其他权利比如肖像权、隐私权可能限制您如何使用作品。

其他：如果数据集侵权，或者您有任何建议，请联系平台，我们会第一时间进行处理。
        pages={740--755},
        year={2014}
}
```


# 版权声明
图片&标注所有权：平台本身不具有图片和标注信息的所有权，媒体文件和标注信息使用时请遵循其官网约定。

不提供担保：用户使用本数据集时需要承担全部责任，本平台不给予您意图使用数据集所需要的所有许可，其他权利比如肖像权、隐私权可能限制您如何使用作品。

其他：如果数据集侵权，或者您有任何建议，请联系平台，我们会第一时间进行处理。